## python-mitogen 0.3.1

=== docs/requirements.txt ===
Sphinx==2.1.2; python_version > '3.0'
sphinxcontrib-programoutput==0.14; python_version > '3.0'
alabaster==0.7.10; python_version > '3.0'

=== tests/requirements.txt ===
psutil==5.4.8
coverage==4.5.1
Django==1.6.11  # Last version supporting 2.6.
faulthandler==3.2; python_version < '3.3'
mock==2.0.0
pytz==2018.5
cffi==1.14.3  # Random pin to try and fix pyparser==2.18 not having effect
pycparser==2.18  # Last version supporting 2.6.
pytest-catchlog==1.2.2
pytest==3.1.2
timeoutcontext==1.2.0
unittest2==1.1.0
# Fix InsecurePlatformWarning while creating py26 tox environment
# https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
urllib3[secure]==1.23; python_version < '2.7'
urllib3[secure]==1.26; python_version > '2.6' and python_version < '2.7.9'
# Last idna compatible with Python 2.6 was idna 2.7.
idna==2.7; python_version < '2.7'
virtualenv==20.10.0

=== tests/ansible/requirements.txt ===
paramiko==2.3.2  # Last 2.6-compat version.
hdrhistogram==0.6.1
PyYAML==3.11; python_version < '2.7'
PyYAML==5.3.1; python_version >= '2.7'  # Latest release (Jan 2021)

## python-mitogen 0.2.9

=== debian/changelog ===
python-mitogen (0.2.9-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Feb 2021 20:33:37 -0700

python-mitogen (0.2.9-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Jan 2021 15:21:18 -0700

python-mitogen (0.2.9-1) unstable; urgency=low

  * Initial Packaging (Closes: #942853)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Jan 2021 15:03:21 -0700

=== debian/control ===
Source: python-mitogen
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antoine Beaupré <anarcat@debian.org>,
 Emmanuel Arias <emmanuelarias30@gmail.com>,
 Richard Laager <rlaager@debian.org>,
 Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/dw/mitogen/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git
Rules-Requires-Root: no

Package: python3-mitogen
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Library for writing distributed self-replicating programs
 Mitogen is a Python library for writing distributed self-replicating programs.
 .
 There is no requirement for installing packages, copying files around, writing
 shell snippets, upfront configuration, or providing any secondary link to a
 remote machine aside from an SSH connection. Due to its origins for use in
 managing potentially damaged infrastructure, the remote machine need not even
 have free disk space or a writeable filesystem.

Package: ansible-mitogen
Architecture: all
Depends:
 ansible (<< 2.10),
 ansible (>= 2.3),
 python3-mitogen (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Fast connection strategy for Ansible
 Mitogen for Ansible is a completely redesigned UNIX connection layer and
 module runtime for Ansible. Requiring minimal configuration changes, it
 updates Ansible’s slow and wasteful shell-centric implementation with
 pure-Python equivalents, invoked via highly efficient remote procedure calls
 to persistent interpreters tunnelled over SSH. No changes are required to
 target hosts.

## python-mitogen 0.3.0~rc1

=== debian/changelog ===
python-mitogen (0.3.0~rc1-4) unstable; urgency=medium

  * autopkgtests: Support multi-word cpusets.
  * autopkgtests: Skip test_broken_linux_fallback on ppc64el, where it fails.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 21 Apr 2021 11:50:52 -0400

python-mitogen (0.3.0~rc1-3) unstable; urgency=medium

  [ Lee Garrett ]
  * Depend on ansible, instead of ansible-base for bullseye.
  * Add autopkgtests running the useable subset of the upstream tests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Apr 2021 15:53:48 -0400

python-mitogen (0.3.0~rc1-2) unstable; urgency=medium

  * Upload to unstable, following ansible.
  * Update homepage, GitHub repo got moved to a mitogen org.
  * Patch: upstream change since RC: Check ansible version early.
  * Depend on ansible-base instead of ansible.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Apr 2021 20:07:44 -0400

python-mitogen (0.3.0~rc1-1) experimental; urgency=medium

  * New upstream RC release, targeting Ansible 2.10.
  * Bump Depends to ansible (>= 2.10).
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Feb 2021 21:05:57 -0800

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
  python3-all,
  python3-setuptools
 Standards-Version: 4.5.1
-Homepage: https://github.com/dw/mitogen/
+Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-mitogen
 Architecture: all
@@ -35,8 +36,7 @@
 Package: ansible-mitogen
 Architecture: all
 Depends:
- ansible (<< 2.10),
- ansible (>= 2.3),
+ ansible (>= 2.10),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_BEFORE_BUILD=rm -rf {dir}/ansible_mitogen/compat/simplejson

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: ansible-tests
Depends: ansible-mitogen,
         python3-mock,
         python3-psutil,
         python3-unittest2
Restrictions: allow-stderr

Tests: mitogen-tests
Depends: python2,
         python3-mitogen,
         python3-mock,
         python3-psutil,
         python3-unittest2
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mitogen/mitogen-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mitogen 0.3.0~rc1+ds

=== debian/changelog ===
python-mitogen (0.3.0~rc1+ds-1) experimental; urgency=medium

  * Download source from GitHub (with bundled tests).
  * Update control files to reflect new test locations.
  * Migrate upstream_tests patches to quilt series.
  * Add test dependencies to Build-Depends so we can run them at build time.
  * Run tests at build time.
  * Skip tests that fail for unknown reasons.
  * Skip Django tests, that tend to fail.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Apr 2021 13:50:02 -0400

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python2,
  python3-all,
- python3-setuptools
+ python3-mock,
+ python3-psutil,
+ python3-setuptools,
+ python3-unittest2
 Standards-Version: 4.5.1
 Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
      uversionmangle=s/(rc|a|b|c)/~$1/;s/$/+ds/" \
 https://github.com/dw/mitogen/tags \
 (?:.*?/)?v?(\d(?:a|b|c|rc|\.|\d)*)\.tar\.gz

## python-mitogen 0.3.1

=== debian/changelog ===
python-mitogen (0.3.1-3) unstable; urgency=medium

  * Patch: Support the presence of distro 1.7.0. (Closes: #1006330)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 06 Mar 2022 12:04:58 -0400

python-mitogen (0.3.1-2) unstable; urgency=medium

  * Depend on either ansible-core | ansible, now that ansible-core has been
    split into its own binary package. (Closes: #1003775)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 16 Jan 2022 09:53:39 -0400

python-mitogen (0.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1001700)
  * Update python3 patch.
  * Bump copyright years.
  * Constrain maximum supported ansible version in Depends, as it is imposed
    at run-time by mitogen.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 14 Jan 2022 15:22:59 -0400

python-mitogen (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream: check-version-early,
    multi-word-cpusets, skip-root-test_unwriteable.
  * Drop +ds suffix, we're sticking with GitHub as a source.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Nov 2021 20:43:01 -0700

python-mitogen (0.3.0~rc1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 15 Aug 2021 22:20:44 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-psutil,
  python3-setuptools,
  python3-unittest2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git
@@ -40,7 +40,8 @@
 Package: ansible-mitogen
 Architecture: all
 Depends:
- ansible (>= 2.10),
+ ansible-core (>= 2.10) | ansible (>= 2.10),
+ ansible-core (<< 2.13) | ansible (<< 2.13),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,9 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	dh_auto_test -- --system custom --test-args="{interpreter} \
+			-m unittest2 discover -v \
+			--start-directory {dir}/tests \
+			--pattern '*_test.py'"

=== debian/tests/control ===
Tests: ansible-tests
Depends: ansible-mitogen, python3-mock, python3-psutil, python3-unittest2
Restrictions: allow-stderr

Tests: mitogen-tests
Depends:
 python2,
 python3-mitogen,
 python3-mock,
 python3-psutil,
 python3-unittest2
Restrictions: allow-stderr

## python-mitogen 0.3.3

=== tests/requirements.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 pytest-catchlog==1.2.2
 pytest==3.1.2
 timeoutcontext==1.2.0
-unittest2==1.1.0
 # Fix InsecurePlatformWarning while creating py26 tox environment
 # https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
 urllib3[secure]==1.23; python_version < '2.7'

=== debian/changelog ===
python-mitogen (0.3.3-9) unstable; urgency=medium

  * Patch: Use poll() in the broker to handle more file descriptors.
    (Closes: #1036018)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 13 May 2023 09:45:14 -0400

python-mitogen (0.3.3-8) unstable; urgency=medium

  * Team upload.
  * d/p/ansible-6, d/control: Bump max ansible to 2.14/7.

 -- Unit 193 <unit193@debian.org>  Tue, 13 Dec 2022 21:43:51 -0500

python-mitogen (0.3.3-7) unstable; urgency=medium

  * Support the nocheck build profile.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 Oct 2022 16:57:13 +0200

python-mitogen (0.3.3-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:30:33 +0100

python-mitogen (0.3.3-5) unstable; urgency=medium

  * d/p/ansible-6: Remove a commit to fix a regression in 'become' (#944, #952)

 -- Unit 193 <unit193@debian.org>  Tue, 27 Sep 2022 03:41:29 -0400

python-mitogen (0.3.3-4) unstable; urgency=medium

  * Patch: Avoid ugly tracebacks in loop tasks, due to connection cleanup in a
    destructor. (Closes: #1020622)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Sep 2022 14:56:22 +0200

python-mitogen (0.3.3-3) unstable; urgency=medium

  * Patch: Ansible 6 support. (Closes: #1019501)
  * Update Depends appropriately.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Sep 2022 14:48:43 +0200

python-mitogen (0.3.3-2) unstable; urgency=medium

  * Drop Build-Depends on python2. (Closes: #1016681)
    - Patch: Stop the (trivial) testing against python2.7.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Aug 2022 13:56:33 +0200

python-mitogen (0.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch distro-1.7, superseded upstream.
  * Stop Build-Depending on unittest2, upstream stopped using it. Update
    patches appropriately.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 22 Jun 2022 18:15:13 +0200

python-mitogen (0.3.2-1) unstable; urgency=medium

  * New upstream version.
  * d/tests/control: Add needs-root restrictions to ansible-tests.
  * d/control: Bump Standards-Version to 4.6.1 (from 4.6.0; no further
    changes).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 31 May 2022 12:35:46 -0300

python-mitogen (0.3.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 21:22:44 +0100

=== debian/tests/control ===
Tests: ansible-tests
Depends: ansible-mitogen, python3-mock, python3-psutil
Restrictions: allow-stderr, needs-root

Tests: mitogen-tests
Depends: python3-mitogen, python3-mock, python3-psutil
Restrictions: allow-stderr

## python-mitogen 0.3.4

=== tests/requirements.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 psutil==5.4.8
-coverage==4.5.1
+coverage==5.5;      python_version < '3.7'
+coverage==6.4.4;    python_version >= '3.7'
 Django==1.6.11  # Last version supporting 2.6.
-faulthandler==3.2; python_version < '3.3'
 mock==2.0.0
 pytz==2018.5
 cffi==1.14.3  # Random pin to try and fix pyparser==2.18 not having effect
 pycparser==2.18  # Last version supporting 2.6.
 pytest-catchlog==1.2.2
 pytest==3.1.2
+subprocess32==3.5.4
 timeoutcontext==1.2.0
 # Fix InsecurePlatformWarning while creating py26 tox environment
 # https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings

=== debian/changelog ===
python-mitogen (0.3.4-2) unstable; urgency=medium

  * Patch: Fix --ask-become-pass, again. We had backed out part of the
    ansible-6 patch to avoid this, before, but it came back in 0.3.4,
    upstream. (Closes: #1042556)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 04 Aug 2023 14:00:58 +0300

python-mitogen (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: ansible-6, hack-remove-cleanup, and
    unbundle-simplejson.
  * Patch: Bump max ansible to 2.14. Previously this was done in our ansible-6
    patch, but the rest of that has merged upstream.
  * Update copyright.
  * Patch: Drop use of subprocess32 compatibility backport.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 18 Jul 2023 19:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python2,
  python3-all,
- python3-mock,
- python3-psutil,
- python3-setuptools,
- python3-unittest2
-Standards-Version: 4.6.0
+ python3-mock <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-setuptools
+Standards-Version: 4.6.2
 Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git
@@ -40,8 +38,9 @@
 Package: ansible-mitogen
 Architecture: all
 Depends:
+# ansible alternatives are to ease backports to bullseye and earlier, before the split
+ ansible-core (<< 2.15) | ansible (<< 8),
  ansible-core (>= 2.10) | ansible (>= 2.10),
- ansible-core (<< 2.13) | ansible (<< 2.13),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends}

## python-mitogen 0.3.7

=== tests/requirements.txt ===
cffi==1.15.1;               python_version < '3.8'
cffi==1.16;                 python_version >= '3.8'

coverage==5.5;              python_version == '2.7'
coverage==6.2;              python_version == '3.6'
coverage==7.2.7;            python_version == '3.7'
coverage==7.4.3;            python_version >= '3.8'

Django==1.11.29;    python_version < '3.0'
Django==3.2.20;     python_version >= '3.6'

mock==3.0.5;                python_version == '2.7'
mock==5.1.0;                python_version >= '3.6'

psutil==5.9.8

pytest==4.6.11;             python_version == '2.7'
pytest==7.0.1;              python_version == '3.6'
pytest==7.4.4;              python_version == '3.7'
pytest==8.0.2;              python_version >= '3.8'

subprocess32==3.5.4; python_version < '3.0'
timeoutcontext==1.2.0
# Fix InsecurePlatformWarning while creating py26 tox environment
# https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
urllib3[secure]==1.23; python_version < '2.7'
urllib3[secure]==1.26; python_version > '2.6' and python_version < '2.7.9'
# Last idna compatible with Python 2.6 was idna 2.7.
idna==2.7; python_version < '2.7'

virtualenv==20.15.1;        python_version == '2.7'
virtualenv==20.17.1;        python_version == '3.6'
virtualenv==20.25.1;        python_version >= '3.7'

=== debian/changelog ===
python-mitogen (0.3.7-4) unstable; urgency=medium

  * Patch: Ansible 10 support. (Closes: 1073837)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 28 Jun 2024 20:39:56 -0700

python-mitogen (0.3.7-3) unstable; urgency=medium

  * Team Upload
  * remove python3-mock build dependency
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Apr 2024 03:53:09 +0200

python-mitogen (0.3.7-2) unstable; urgency=medium

  * Bump Depends for Ansible 9 support.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Apr 2024 11:12:15 -0400

python-mitogen (0.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches ansible-2.15 and ansible-2.16, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 Apr 2024 09:45:21 -0400

python-mitogen (0.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch ansible-2.14, superseded upstream.
  * Replace patch ansible-2.16 with upstream patches for 2.15 and 2.16.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 05 Apr 2024 19:46:18 -0400

python-mitogen (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: no-subprocess32, python-3.11,
    python-3.12.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Mar 2024 13:45:03 -0400

python-mitogen (0.3.4-3) unstable; urgency=medium

  * Patch: Support setting interpreter_python in config, again.
  * Patch: Support Ansible 2.16. (Closes: #1059935)
  * Patch: Python 3.11 support.
  * Patch: Python 3.12 support. (Closes: #1058132, 1061755)
  * Patch test module paths in testlib.py in the ansible-tests autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Mar 2024 18:21:07 -0400

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-mock <!nocheck>,
  python3-psutil <!nocheck>,
  python3-setuptools
 Standards-Version: 4.6.2
@@ -39,7 +38,7 @@
 Architecture: all
 Depends:
 # ansible alternatives are to ease backports to bullseye and earlier, before the split
- ansible-core (<< 2.15) | ansible (<< 8),
+ ansible-core (<< 2.18) | ansible (<< 11),
  ansible-core (>= 2.10) | ansible (>= 2.10),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},

## python-mitogen 0.3.9

=== tests/requirements.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 mock==3.0.5;                python_version == '2.7'
 mock==5.1.0;                python_version >= '3.6'
+
+pexpect==4.8
 
 psutil==5.9.8

=== tests/ansible/requirements.txt ===
paramiko==2.3.2  # Last 2.6-compat version.
# Incompatible with pip >= 72, due to removal of `setup.py test`:
#   ModuleNotFoundError: No module named 'setuptools.command.test'
# https://github.com/pypa/setuptools/issues/4519
hdrhistogram==0.6.1
PyYAML==3.11; python_version < '2.7'
PyYAML==5.3.1; python_version >= '2.7'  # Latest release (Jan 2021)

=== debian/changelog ===
python-mitogen (0.3.9-1) unstable; urgency=medium

  * New upstream point release.
  * Drop patch ansible-2.17, superseded upstream.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Aug 2024 15:20:56 +0200

python-mitogen (0.3.8-1) unstable; urgency=medium

  * New upstream point release.
  * Patch: Handle unsafe paths in _remote_chmod.
  * Refresh patches.
  * Drop patches: poll-poller and ask-become-pass, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 02 Aug 2024 17:05:44 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-all,
  python3-psutil <!nocheck>,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git

## python-mitogen 0.3.14

=== debian/changelog ===
python-mitogen (0.3.14-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Oct 2024 11:50:25 -0700

python-mitogen (0.3.13-1) unstable; urgency=medium

  * New upstream point release.
    - Removes dead battery usage from examples. (Closes: #1084667)
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Oct 2024 16:18:47 -0700

python-mitogen (0.3.11-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 03 Oct 2024 14:34:02 -0700

python-mitogen (0.3.10-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.
  * Drop patch unsafe-str-remote-chmod, superseded upstream.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Sep 2024 11:06:33 +0200

## python-mitogen 0.3.15

=== debian/changelog ===
python-mitogen (0.3.15-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Nov 2024 20:32:34 -0700

## python-mitogen 0.3.20

=== debian/changelog ===
python-mitogen (0.3.20-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch interpreter_python, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Jan 2025 19:55:54 -0400

python-mitogen (0.3.19-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch ansible-11, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Dec 2024 14:20:18 -0400

python-mitogen (0.3.18-2) unstable; urgency=medium

  * Patch: Ansible 11 support. (Closes: #1087929)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Nov 2024 14:13:02 +0100

python-mitogen (0.3.18-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Nov 2024 17:37:11 -0800

## python-mitogen 0.3.21

=== debian/changelog ===
python-mitogen (0.3.21-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Jan 2025 10:56:16 -0400

## python-mitogen 0.3.22

=== tests/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cffi==1.15.1;               python_version < '3.8'
-cffi==1.16;                 python_version >= '3.8'
+cffi==1.17.1;               python_version >= '3.8'
 
 coverage==5.5;              python_version == '2.7'
 coverage==6.2;              python_version == '3.6'

=== debian/changelog ===
python-mitogen (0.3.22-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Feb 2025 11:17:50 -0400

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Architecture: all
 Depends:
 # ansible alternatives are to ease backports to bullseye and earlier, before the split
- ansible-core (<< 2.18) | ansible (<< 11),
+ ansible-core (<< 2.19) | ansible (<< 12),
  ansible-core (>= 2.10) | ansible (>= 2.10),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},

## python-mitogen 0.3.23

=== debian/changelog ===
python-mitogen (0.3.23-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 May 2025 13:07:55 -0400

python-mitogen (0.3.22-4) unstable; urgency=medium

  * Forward Ansible 2.19 patches.
  * Patch: Handle the removal of ansible.parsing.utils.jsonify
    (Closes: #1103652)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Apr 2025 11:21:57 -0400

python-mitogen (0.3.22-3) unstable; urgency=high

  * Work around missing internal method _strip_unsafe in ansible 2.19

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 11 Apr 2025 14:50:20 +0200

python-mitogen (0.3.22-2) unstable; urgency=high

  * Bump Standards-Version (no changes needed)
  * d/control: Simplify ansible-core dependency
  * Add quilt patch to relax ansible-core version restriction
  * Add myself to uploaders

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 10 Apr 2025 20:30:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
  Antoine Beaupré <anarcat@debian.org>,
  Emmanuel Arias <emmanuelarias30@gmail.com>,
  Richard Laager <rlaager@debian.org>,
- Stefano Rivera <stefanor@debian.org>
+ Stefano Rivera <stefanor@debian.org>,
+ Lee Garrett <debian@rocketjump.eu>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
  python3-psutil <!nocheck>,
  python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git
@@ -37,9 +38,8 @@
 Package: ansible-mitogen
 Architecture: all
 Depends:
-# ansible alternatives are to ease backports to bullseye and earlier, before the split
- ansible-core (<< 2.19) | ansible (<< 12),
- ansible-core (>= 2.10) | ansible (>= 2.10),
+ ansible-core (<< 2.20),
+ ansible-core (>= 2.10),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends}

## python-mitogen 0.3.25~a1

=== debian/changelog ===
python-mitogen (0.3.25~a1-1) unstable; urgency=medium

  * New upstream alpha release, with ansible 2.19 support.
  * Drop patches, superseded upstream: edit-ansible-version-restrictions,
    workaround-missing-strip-unsafe, and ansible-12-data-tagging.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 Jun 2025 21:14:28 +0200

python-mitogen (0.3.24-1) unstable; urgency=medium

  * New upstream release.
    - Don't break ansible 2.19 controller-side plugins that were launched
      without stdio.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 04 Jun 2025 11:40:57 +0200

python-mitogen (0.3.23-2) unstable; urgency=medium

  [ Unit 193 ]
  * d/p/ansible-12-data-tagging: Add patch to fix more compatibility problems.
    (Closes: #1103652)

  [ Stefano Rivera ]
  * Drop the replace-jsonify patch. It's not quite right, and upstream
    reverted this removal.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 May 2025 15:00:42 -0400

## python-mitogen 0.3.25~a2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

default:
	sphinx-build . build/html/

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

=== tests/ansible/requirements.txt ===
paramiko==2.12.0;           python_version <= '2.7'
paramiko==3.5.0;            python_version >= '3.6'

# Incompatible with pip >= 72, due to removal of `setup.py test`:
#   ModuleNotFoundError: No module named 'setuptools.command.test'
# https://github.com/pypa/setuptools/issues/4519
hdrhistogram==0.6.1

ncclient==0.6.13; python_version <= '2.7'
ncclient==0.6.16; python_version > '2.7'

PyYAML==3.11; python_version < '2.7'
PyYAML==5.3.1; python_version >= '2.7'  # Latest release (Jan 2021)

=== debian/changelog ===
python-mitogen (0.3.25~a2-1) unstable; urgency=medium

  * New upstream alpha release, suppressing deprecation warnings.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 26 Jun 2025 14:56:33 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 Architecture: all
 Depends:
  ansible-core (<< 2.20),
- ansible-core (>= 2.10),
+ ansible-core (>= 2.19.0~beta2),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
      uversionmangle=s/(rc|a|b|c)/~$1/" \
 https://github.com/dw/mitogen/tags \
 (?:.*?/)?v?(\d(?:a|b|c|rc|\.|\d)*)\.tar\.gz

## python-mitogen 0.3.26

=== debian/changelog ===
python-mitogen (0.3.26-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Aug 2025 23:51:58 +0200

## python-mitogen 0.3.27

=== debian/changelog ===
python-mitogen (0.3.27-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 23 Aug 2025 09:15:48 +0100

## python-mitogen 0.3.29

=== tests/ansible/Makefile ===

SYSTEM=$(shell uname -s)

TARGETS+=lib/modules/custom_binary_producing_junk_$(SYSTEM)
TARGETS+=lib/modules/custom_binary_producing_json_$(SYSTEM)

all: clean $(TARGETS)

lib/modules/custom_binary_producing_junk_$(SYSTEM): lib/modules.src/custom_binary_producing_junk.c
	$(CC) -o $@ $<

lib/modules/custom_binary_producing_json_$(SYSTEM): lib/modules.src/custom_binary_producing_json.c
	$(CC) -o $@ $<

clean:
	rm -f $(TARGETS)

=== tests/ansible/requirements.txt ===
paramiko==2.12.0;           python_version <= '2.7'
paramiko==3.5.1;            python_version >= '3.6' and python_version <= '3.8'
paramiko==4.0.0;            python_version >= '3.9'

# Incompatible with pip >= 72, due to removal of `setup.py test`:
#   ModuleNotFoundError: No module named 'setuptools.command.test'
# https://github.com/pypa/setuptools/issues/4519
hdrhistogram==0.6.1

ncclient==0.6.13; python_version <= '2.7'
ncclient==0.6.19;           python_version >= '3.5'

PyYAML==3.11; python_version < '2.7'
PyYAML==5.4.1;              python_version >= '2.7' and python_version <= '3.7'
PyYAML==6.0.2;              python_version >= '3.8'

=== debian/changelog ===
python-mitogen (0.3.29-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.

  [ Emmanuel Arias ]
  * d/control: Set Multi-Arch: foreign in python3-mitogen binary package.
  * d/control: Update my contact information.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Sep 2025 08:12:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Antoine Beaupré <anarcat@debian.org>,
- Emmanuel Arias <emmanuelarias30@gmail.com>,
+ Emmanuel Arias <eamanu@debian.org>,
  Richard Laager <rlaager@debian.org>,
  Stefano Rivera <stefanor@debian.org>,
  Lee Garrett <debian@rocketjump.eu>,
@@ -23,6 +23,7 @@
 
 Package: python3-mitogen
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_BEFORE_BUILD=rm -rf {dir}/ansible_mitogen/compat/simplejson

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system custom --test-args="{interpreter} \
			-m unittest discover -v \
			--start-directory {dir}/tests \
			--pattern '*_test.py'"

## python-mitogen 0.3.31

=== docs/requirements.txt ===
docutils<0.18
Jinja2<3
MarkupSafe<2.1
Sphinx==2.1.2; python_version > '3.0'
sphinxcontrib-programoutput==0.14; python_version > '3.0'
alabaster==0.7.10; python_version > '3.0'

=== tests/requirements.txt ===
coverage==5.5;              python_version == '2.7'
coverage==6.2;              python_version == '3.6'
coverage==7.2.7;            python_version == '3.7'
coverage==7.5.4;            python_version == '3.8'
coverage==7.10.6;           python_version >= '3.9'

Django==1.11.29;    python_version < '3.0'
Django==3.2.20;     python_version >= '3.6'

mock==3.0.5;                python_version == '2.7'
mock==5.2.0;                python_version >= '3.6'

pexpect==4.9

psutil==6.1.1;              python_version <= '2.7'
psutil==7.1.0;              python_version >= '3.6'

pytest==4.6.11;             python_version == '2.7'
pytest==7.0.1;              python_version == '3.6'
pytest==7.4.4;              python_version == '3.7'
pytest==8.3.5;              python_version == '3.8'
pytest==8.4.2;              python_version >= '3.9'

subprocess32==3.5.4; python_version < '3.0'
timeoutcontext==1.2.0
# Fix InsecurePlatformWarning while creating py26 tox environment
# https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
urllib3[secure]==1.23; python_version < '2.7'
urllib3[secure]==1.26; python_version > '2.6' and python_version < '2.7.9'
# Last idna compatible with Python 2.6 was idna 2.7.
idna==2.7; python_version < '2.7'

virtualenv==20.15.1;        python_version == '2.7'
virtualenv==20.17.1;        python_version == '3.6'
virtualenv==20.26.6;        python_version == '3.7'
virtualenv==20.34.0;        python_version >= '3.8'

=== debian/changelog ===
python-mitogen (0.3.31-1) unstable; urgency=medium

  * New upstream release.
  * Drop Rules-Requires-Root: no, it's now the default.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 10 Nov 2025 12:08:41 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-mitogen

=== debian/tests/control ===
Tests: ansible-tests
Depends: ansible-mitogen, python3-psutil
Restrictions: allow-stderr, needs-root

Tests: mitogen-tests
Depends: python3-mitogen, python3-psutil
Restrictions: allow-stderr

## python-mitogen 0.3.33

=== debian/changelog ===
python-mitogen (0.3.33-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 Nov 2025 12:25:01 -0400

## python-mitogen 0.3.34

=== debian/changelog ===
python-mitogen (0.3.34-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 28 Nov 2025 18:18:08 -0400

## python-mitogen 0.3.35

=== debian/changelog ===
python-mitogen (0.3.35-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 Dec 2025 08:43:43 -0400

## python-mitogen 0.3.36

=== debian/changelog ===
python-mitogen (0.3.36-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove maximum ansible version constraint, following upstream in 0.3.32.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Dec 2025 13:34:28 -0400

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
 Package: ansible-mitogen
 Architecture: all
 Depends:
- ansible-core (<< 2.20),
  ansible-core (>= 2.19.0~beta2),
  python3-mitogen (= ${source:Version}),
  ${misc:Depends},

## python-mitogen 0.3.37

=== debian/changelog ===
python-mitogen (0.3.37-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, dropping Priority: optional.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Jan 2026 14:37:20 -0400

## python-mitogen 0.3.39

=== debian/changelog ===
python-mitogen (0.3.39-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Feb 2026 17:00:02 -0400

## python-mitogen 0.3.41

=== debian/changelog ===
python-mitogen (0.3.41-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 Feb 2026 21:07:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-mitogen
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Antoine Beaupré <anarcat@debian.org>,
@@ -14,7 +13,7 @@
  python3-all,
  python3-psutil <!nocheck>,
  python3-setuptools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/mitogen-hq/mitogen/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mitogen
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mitogen.git

## python-mitogen 0.3.42

=== debian/changelog ===
python-mitogen (0.3.42-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Patch the incus tests in the python3 patch.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 22 Feb 2026 18:18:51 -0400
